MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000391XdebugUsage problems (Wrong Results)public2008-07-22 17:112009-12-29 17:19
ReporterKrishna 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSFreeBSD 7.0 amd64OS Version
Product Version2.0.0dev 
Target VersionFixed in Version 
Summary0000391: When PHP runs with Xdebug it doesn't stop executing script when type hinting leads to fatal error
DescriptionWhen PHP runs with Xdebug it doesn't stop executing script when type hinting leads to fatal error. Without Xdebugs it stops.
Steps To Reproduce<?php

class A
{
 public $x = 1;
}

class B
{
 public function myMethod(A $y)
 {
  echo $y;
 }
}

$z = new B();
$z->myMethod(123);
echo "And going and going...";
?>

This code leads to Catchable fatal error: Argument 1 passed to B::myMethod() must be an instance of A, integer given, called in /var/www/dev1/html/test.php on line 17 and defined in /var/www/dev1/html/test.php on line 10

BUT!

when

zend_extension=/usr/local/lib/php/20060613/xdebug.so is commented in php.ini (XDebug off) - the script stops and we do not get any messages. But if XDebug is active we get error again, followed by output of:

123And going and going...
Additional InformationPHP 5.2.6 (from /usr/ports/)

Xdebug part in php.ini:

[xdebug]

xdebug.remote_autostart = Off
xdebug.remote_enable = On
xdebug.remote_host = 192.168.3.38
xdebug.remote_log = "/var/log/xdebug_remote.log"
xdebug.show_exception_trace = On
xdebug.var_display_max_depth = 3
xdebug.profiler_append = Off
xdebug.profiler_enable = On
xdebug.profiler_enable_trigger = On
xdebug.profiler_output_dir = /var/www/dev1/tmp
;xdebug.profiler_output_name =
xdebug.var_display_max_data = 65536
TagsNo tags attached.
Operating SystemFreeBSD 7.0 amd64
PHP Version5.2.6
Attached Files

- Relationships
has duplicate 0000408resolvedderick Script is not aborted on E_RECOVERABLE_ERROR errors 

-  Notes
(0000866)
Krishna (reporter)
2008-07-23 15:26

Please read "Steps To Reproduce"!

P.S. This bug can be affilated to 0000389
(0000878)
tomas (reporter)
2008-09-20 23:28
edited on: 2008-09-20 23:30

PHP with xdebug enabled does not stop script on RECOVERABLE ERRORS. See bug 0000408.

edited on: 2008-09-20 23:30
(0000899)
k-fish (reporter)
2008-12-11 21:10

related to 0000389, has duplicate 0000408

I could reproduce this with PHP 5.3.0alpha3 and XDebug 2.1.0-dev as of today.
(0001231)
derick (administrator)
2009-12-29 17:19

Fixed in rev. 3178—it was only slightly related to 0000389.

- Issue History
Date Modified Username Field Change
2008-07-22 17:11 Krishna New Issue
2008-07-23 15:26 Krishna Note Added: 0000866
2008-09-20 23:28 tomas Note Added: 0000878
2008-09-20 23:30 tomas Note Edited: 0000878
2008-12-11 21:10 k-fish Note Added: 0000899
2008-12-20 19:49 derick Relationship added has duplicate 0000408
2009-12-29 17:19 derick Note Added: 0001231
2009-12-29 17:19 derick Status new => closed
2009-12-29 17:19 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker